Subject: [AAA-WG]: Issue 140: Can Answer be rejected?

From: Pat Calhoun <[email-masked]>
Date: Mon, 27 Aug 2001 10:38:13 -0700

All,

As per the previous thread on this issue, it was determined that a simple
statement be added that clarifies that 'E' bit messages cannot be sent in
response to an answer message. So I've added a sentence in the following:

7.2  Error Bit

   The 'E' (Error Bit) in the Diameter header is set when the
   request caused a protocol-related error (see section 7.1.3).
   A message with the 'E' bit MUST NOT be sent as a response to
   an answer message. Note that a message with the 'E' bit set is 
   still subjected to the processing rules defined in section 6.2. 
   When set, the answer message will not conform to the ABNF 
   specification for the command, and will instead conform to 
   the following ABNF:

Thanks,

PatC